Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubGenerator

- org.codehaus.groovy.tools.javac.JavaStubGenerator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubGenerator (File outputPath, boolean requireSuperResolved, boolean java5, String encoding)`
    `JavaStubGenerator (File outputPath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clean()`
    `` | `void` | `generateClass(ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public JavaStubGenerator(File outputPath, boolean requireSuperResolved, boolean java5, String encoding)

    - #### public JavaStubGenerator(File outputPath)

  - ### Method Detail

    - #### public void clean()

    - #### public void generateClass(ClassNode classNode)